### Commander
This is a small request/response server written in `rust` that talks a `HTTP`-like protocol based on `protobuf`.

### Production
Please never use this in production :)

### StreamReader
I am experimenting a lot with a buffered reader, that i think is pretty slow, and pretty non-rustic in it's implementation: still, i like to have fun with it.

### Examples
For examples on how to use it, see:
1. the tests under `tests/`
2. the `simple_host` and `simple_client` under `examples/`

I you want to see the examples running, do this from two shells (current directory is the root of the `commander` repo):

```bash
# shell 1
cargo run --example simple_host

# shell 2
cargo run --example simple_client

# shell 2 outputs: client got: Hello from Example. Got: hello from simple_client
```

### Nextgen
I am currently looking into using the rsa crate: `rsa = { version = "0.9", features = ["sha2", "pem"] }` for simple encryption/decrypting and message signing. More on this later.
Again: this shouldn't be used in production as well :)